For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
  • Products API
      • GETBrand content
      • GETBrand content by ID
      • GETCountry configuration
      • GETAvailable currencies
      • GETCurrency configuration
      • GETDonation configuration
      • GETUnderwriters and plans
      • GETSingle underwriter and plans
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Products APIBrand

Donation configuration

GET
https://api-staging.nibtravelinsurance.com/products/v1/:brandCode/donationConfig
GET
/products/v1/:brandCode/donationConfig
$curl https://api-staging.nibtravelinsurance.com/products/v1/nibau/donationConfig \
> -H "Authorization: Bearer <token>"
200World Nomads (abbreviated)
1{
2 "expirySeconds": 86400,
3 "brandCode": "WN",
4 "effectiveToDate": "1970-01-01T00:00:00Z",
5 "effectiveFromDate": "1970-01-01T00:00:00Z",
6 "homeCountryDonationConfigs": [
7 {
8 "countryCode": "AUS",
9 "donationBands": [
10 {
11 "basePrice": 0,
12 "defaultDonationAmount": 2
13 },
14 {
15 "basePrice": 140.01,
16 "defaultDonationAmount": 3
17 },
18 {
19 "basePrice": 270.01,
20 "defaultDonationAmount": 5
21 },
22 {
23 "basePrice": 1000.01,
24 "defaultDonationAmount": 10
25 },
26 {
27 "basePrice": 5000.01,
28 "defaultDonationAmount": 15
29 }
30 ]
31 },
32 {
33 "countryCode": "USA",
34 "donationBands": [
35 {
36 "basePrice": 0,
37 "defaultDonationAmount": 2
38 },
39 {
40 "basePrice": 150.01,
41 "defaultDonationAmount": 3
42 },
43 {
44 "basePrice": 250.01,
45 "defaultDonationAmount": 5
46 },
47 {
48 "basePrice": 1000.01,
49 "defaultDonationAmount": 10
50 },
51 {
52 "basePrice": 5000.01,
53 "defaultDonationAmount": 15
54 }
55 ]
56 }
57 ]
58}
Returns configuration information for a brands microdonation facility
Was this page helpful?
Previous

Underwriters and plans

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Brand code
Allowed values:

Response

Success
expirySecondsinteger
brandCodestring
effectiveToDatestring
effectiveFromDatestring
homeCountryDonationConfigslist of objects